Get the outputs of an execution by its ID
curl --request GET \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/outputs \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/outputs"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Executions
Get the outputs of an execution by its ID
API endpoint to retrieve the outputs of a specific execution by its ID.
GET
/
workspace
/
{ws_id}
/
executions
/
{id}
/
outputs
Get the outputs of an execution by its ID
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
The ID of the workspace containing the execution
The ID of the execution whose outputs are retrieved
Response
Execution outputs
The response is of type object.
Was this page helpful?
Get the trigger event and input params of an executionList step executions for a specified execution
⌘I